/* Exemplet visar hur man kan känna av vilken tangent som trycks ner
   och utifrån det göra olika uppdateringar av innehållet på sidan. */
// --------------------------------------------------
// Globala variabler
let carElem;        // img-element för bilen
let carDir = 0;     // Bilens riktning (0, 1, 2, 3 = höger, nedåt, vänster, uppåt)
let carRot = 0;     // Rotation av bil(d)en
// --------------------------------------------------
// Initiering då webbsidan laddats in
function init() {
    carElem = document.querySelector("#car");
	// Sätt bilen i startläge
    carElem.style.left = "10px";
    carElem.style.top = "40px";
    carDir = 0; // Riktning höger
    carRot = 0; // Ingen rotation
    carElem.style.transform = "rotate(0deg)";
    // Händelsehanterare för tangenter för att styra bilen
    document.addEventListener("keydown", checkKey);
} // Slut init
window.addEventListener("load", init);
// --------------------------------------------------
// Kontrollera tangenter och styr bilen. Anropas vid keydown.
function checkKey(e) {
    switch (e.code) {
        case "ArrowLeft":
        case "KeyZ":
            carDir--;
            if (carDir < 0) carDir = 3;
            carRot -= 90;
            carElem.style.transform = "rotate(" + carRot + "deg)";
            break;
        case "ArrowRight":
        case "Slash":
            carDir++;
            if (carDir > 3) carDir = 0;
            carRot += 90;
            carElem.style.transform = "rotate(" + carRot + "deg)";
            break;
    }
} // Slut checkKey
// --------------------------------------------------
